ERICLINUX: Instalar Flash Player en 64 bits.

3/1/08

Instalar Flash Player en 64 bits.

Primero que nada hay que instalar unos programas que nos harán posible nuestra misión.

1.- instalamos el paquete nspluginwrapper

$sudo aptitude install nspluginwrapper

2.- Descargamos el plugin para i386 del Adobe Flash Player y extraemos el archivo.

$ tar xzvf install_flash_player_9_linux.tar.gz

3.- Instalar algunos paquetes necesarios.

$ sudo aptitude install ia32-libs lib32asound2 lib32ncurses5 ia32-libs-sdl ia32-libs-gtk gsfonts gsfonts-x11 linux32

Procedemos con la Instalación:

$ sudo mkdir /usr/lib/mozilla/plugins32
$ sudo cp install_flash_player_9_linux/libflashplayer.so /usr/lib/mozilla/plugins32
$ sudo nspluginwrapper -i /usr/lib/mozilla/plugins32/libflashplayer.so

Y finalmente hacemos que el plugin esté disponible para Firefox.

$ sudo ln -s /usr/lib/mozilla/plugins/npwrapper.so /usr/lib/mozilla-firefox/plugins/
$ sudo ln -s /usr/lib/mozilla/plugins/npwrapper.libflashplayer.so /usr/lib/mozilla-firefox/plugins/

Y eso seria todo, si surgiera una actualización del paquete nspluginwrapper habría que repetir la instalación pero solo la linea:

sudo nspluginwrapper -i /usr/lib/mozilla/plugins32/libflashplayer.so

Ya que puede perder la configuración, lo demás ya esta instalado.

FUENTE.

Atentamente Eric.

Enlaces de interés:

Primero que nada hay que instalar unos programas que nos harán posible nuestra misión.

1.- instalamos el paquete nspluginwrapper

$sudo aptitude install nspluginwrapper

2.- Descargamos el plugin para i386 del Adobe Flash Player y extraemos el archivo.

$ tar xzvf install_flash_player_9_linux.tar.gz

3.- Instalar algunos paquetes necesarios.

$ sudo aptitude install ia32-libs lib32asound2 lib32ncurses5 ia32-libs-sdl ia32-libs-gtk gsfonts gsfonts-x11 linux32

Procedemos con la Instalación:

$ sudo mkdir /usr/lib/mozilla/plugins32
$ sudo cp install_flash_player_9_linux/libflashplayer.so /usr/lib/mozilla/plugins32
$ sudo nspluginwrapper -i /usr/lib/mozilla/plugins32/libflashplayer.so

Y finalmente hacemos que el plugin esté disponible para Firefox.

$ sudo ln -s /usr/lib/mozilla/plugins/npwrapper.so /usr/lib/mozilla-firefox/plugins/
$ sudo ln -s /usr/lib/mozilla/plugins/npwrapper.libflashplayer.so /usr/lib/mozilla-firefox/plugins/

Y eso seria todo, si surgiera una actualización del paquete nspluginwrapper habría que repetir la instalación pero solo la linea:

sudo nspluginwrapper -i /usr/lib/mozilla/plugins32/libflashplayer.so

Ya que puede perder la configuración, lo demás ya esta instalado.

FUENTE.

Atentamente Eric.

Enlaces de interés:

4 COMENTARIOS:

Boletaire | 17 de enero de 2008, 18:16  

Siguiendo tus instrucciones la konsole de kubuntu me ha dicho...

Aviso: la realización de esta tarea puede inducir a errores en su sistema.
No continúe si no sabe exactamente lo que está haciendo.
Para continuar introduzca la frase "Soy consciente de que no es una buena idea":

Así que mejor no he continuado... xD

Eric | 17 de enero de 2008, 20:15  

Buenas tardes Boletaire.
Podrías decirme con exactitud en qué paso del proceso te aparece ese error.

Yo lo e instalado y jamás apareció un cartel semejante.

Atentamente Eric.

Boletaire | 19 de enero de 2008, 16:28  

en el 3er punto.

Lo probé de esta y muchas otras maneras y no hubo forma (el flash no me daba problemas,el problema era el java.. parecía estar instalado, pero no cargaba nada).

Al final, por esta y muchas otras razones he formateado y me he pasado a Debian Lenny donde uso Swiftweasel.

Aquí tienes un buen método para instalar Swiftweasel en ubuntu con los plugins de flash y de java automáticamente.

http://www.elmodem.com/archivo/2007/10/08/firefox-flash-y-java-en-64-bits/

Salu2!!

Eric | 19 de enero de 2008, 16:31  

Gracias por el comentario Boletaire.
Que raro que tuviste problemas con JAva.
Y otra alternativa como tu indicas es utilizar Swiftweasel.

Atentamente Eric.

Publicar un comentario

Bienvenido a ERICLINUX.
Gracias por tu comentario.

Nota: solo los miembros de este blog pueden publicar comentarios.

Tu comentario será moderado la primera vez que lo hagas al igual que si incluyes enlaces. A partir de ahi no ser necesario si usas los mismos datos y mantienes la cordura. No se publicarán insultos, difamaciones o faltas de respeto hacia los lectores y comentaristas de este blog.